.PartialClass{
    background: white;
    background-image: linear-gradient(90deg, black 50%, transparent 0),
    linear-gradient(black 50%, transparent 0);
    background-size: 30px 30px;

}
.weekView {
    display: grid;
    grid-template-columns: repeat(7,1fr);
    grid-template-rows: repeat(17,1fr);
    grid-column-gap: 10px;
    align-items: center;
    justify-items: center;
    /*border: 1px black dashed;*/
    padding: 10px;
}
.weekView .eng {
    direction: ltr;
}
.weekView div{
    width: 100%;
    height: 100%;
    text-align: center;
}
.empty_lesson{
    border: 1px black dotted;
    background-color: #e7e7e7;
    cursor: pointer;
}
.empty_lesson:hover{
    background-color: aliceblue;
}
.active_lesson {
    border: 1px black solid;
    cursor: pointer;
}
.legend{
    cursor: pointer;
}
.spaced_div{
    margin: 0 20px;
    padding: 5px 10px;
}
.emptyLine{grid-column: 1/span 7;}

.day0{grid-column: 2/span 1;}
.day1{grid-column: 3/span 1;}
.day2{grid-column: 4/span 1;}
.day3{grid-column: 5/span 1;}
.day4{grid-column: 6/span 1;}
.day5{grid-column: 7/span 1;}

.start_h0 {grid-row-start: 2 ;}
.start_h1 {grid-row-start: 3 ;}
.start_h2 {grid-row-start: 4 ;}
.start_h3 {grid-row-start: 5 ;}
.start_h4 {grid-row-start: 6 ;}
.start_h5 {grid-row-start: 7 ;}
.start_h6 {grid-row-start: 8 ;}
.start_h7 {grid-row-start: 9 ;}
.start_h8 {grid-row-start: 10;}
.start_h9 {grid-row-start: 11;}
.start_h10{grid-row-start: 12;}
.start_h11{grid-row-start: 13;}
.start_h12{grid-row-start: 14;}
.start_h13{grid-row-start: 15;}
.start_h14{grid-row-start: 16;}
.start_h15{grid-row-start: 17;}

.end_h0 {grid-row-end: 3 ;}
.end_h1 {grid-row-end: 4 ;}
.end_h2 {grid-row-end: 5 ;}
.end_h3 {grid-row-end: 6 ;}
.end_h4 {grid-row-end: 7 ;}
.end_h5 {grid-row-end: 8 ;}
.end_h6 {grid-row-end: 9 ;}
.end_h7 {grid-row-end: 10;}
.end_h8 {grid-row-end: 11;}
.end_h9 {grid-row-end: 12;}
.end_h10{grid-row-end: 13;}
.end_h11{grid-row-end: 14;}
.end_h12{grid-row-end: 15;}
.end_h13{grid-row-end: 16;}
.end_h14{grid-row-end: 17;}
.end_h15{grid-row-end: 18;}